[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ia32-apt-get: Striking my colors

On Sat, 04, Jul, 2009 at 02:41:12AM +0200, Goswin von Brederlow spoke thus..
> Simple. The ia32-apt-get/ia32-aptitute will allow users that have
> already installed ia32-apt-get to update their ia32-lib* packages to
> ones that "Provide: ia32-abi".
> Then when Mark later uploads ia32-libs and ia32-libs-gtk he can
> "Conflicts: ia32-abi", "Replaces: ia32-abi" to get a smooth
> transition. Without this ia32-libs and ia32-libs-gtk would have to
> Conflicts/Replaces on over 160 packages which would be a real pain.

My problem with this, as I said earlier, is that it doesn't deal with
the partial upgrade problem from versions < 22 to the new/old ia32-libs
package.  I'd appreciate other thoughts on this whilst I'm preparing the
new upload of the monolithic packages.


Mark Hymers <mhy at debian dot org>

"That's why the good die young; it's because Death can't be bothered to check
 the paperwork."
     Andy Hamilton, Old Harry's Game

Reply to: